import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/visitor_page_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/visitor_page_entity.g.dart';

@JsonSerializable()
class VisitorPageEntity {
	int count = 0;
	int page =0 ;
	int limit=0;
	@JSONField(name: "count_page")
	int countPage=0;
	List<VisitorPageList> list = [];

	VisitorPageEntity();

	factory VisitorPageEntity.fromJson(Map<String, dynamic> json) => $VisitorPageEntityFromJson(json);

	Map<String, dynamic> toJson() => $VisitorPageEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class VisitorPageList {
	String? id;
	String? name;
	String? phone;
	String? nric;
	@JSONField(name: "vehicle_number")
	String? vehicleNumber;
	@JSONField(name: "created_at")
	String? createdAt;
	String? note;

	VisitorPageList();

	factory VisitorPageList.fromJson(Map<String, dynamic> json) => $VisitorPageListFromJson(json);

	Map<String, dynamic> toJson() => $VisitorPageListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}